Запросы Python «Пропасные зависимости от поддержки носков» при использовании SOCKS5 из терминала -- python поле с участием python-2.7 поле с участием python-requests поле с участием socks поле с участием urllib3 пол Связанный проблема

Python's requests “Missing dependencies for SOCKS support” when using SOCKS5 from Terminal


51
vote

проблема

русский

Я пытаюсь взаимодействовать с API из My Python 2.7 Shell, используя пакет, который опирается на запросы Python. Вещь - это удаленный адрес блокируется моей сетью (университетская библиотека).

Так сказать с API, я делаю следующее:

 <код> ~$ ssh -D 8080 name@myserver.com   

, а затем, в новом терминале, на локальном компьютере:

 <код> ~$ export http_proxy=socks5://127.0.0.1:8080 https_proxy=socks5://127.0.0.1:8080   

Затем я запускаю программу в Python Console, но не удается:

 <код> ~$ python >>> import myscript >>> id = '1213' >>> token = 'jd87jd9' >>> connect(id,token)  File "/home/username/.virtualenvs/venv/local/lib/python2.7/site-packages/requests/sessions.py", line 518, in post     return self.request('POST', url, data=data, json=json, **kwargs)   File "/home/username/.virtualenvs/venv/local/lib/python2.7/site-packages/requests/sessions.py", line 475, in request     resp = self.send(prep, **send_kwargs)   File "/home/username/.virtualenvs/venv/local/lib/python2.7/site-packages/requests/sessions.py", line 585, in send     r = adapter.send(request, **kwargs)   File "/home/username/.virtualenvs/venv/local/lib/python2.7/site-packages/requests/adapters.py", line 370, in send     conn = self.get_connection(request.url, proxies)   File "/home/username/.virtualenvs/venv/local/lib/python2.7/site-packages/requests/adapters.py", line 273, in get_connection     proxy_manager = self.proxy_manager_for(proxy)   File "/home/username/.virtualenvs/venv/local/lib/python2.7/site-packages/requests/adapters.py", line 169, in proxy_manager_for     **proxy_kwargs   File "/home/username/.virtualenvs/venv/local/lib/python2.7/site-packages/requests/adapters.py", line 43, in SOCKSProxyManager     raise InvalidSchema("Missing dependencies for SOCKS support.") requests.exceptions.InvalidSchema: Missing dependencies for SOCKS support.   

Этот отрывок из адаптеры.py запросы модуля :

 <код> > try: >     from .packages.urllib3.contrib.socks import SOCKSProxyManager except ImportError: >     def SOCKSProxyManager(*args, **kwargs): >         raise InvalidSchema("Missing dependencies for SOCKS support.")   

Теперь проблема, кажется, возникла в SocksSPROXYManager Urllib3.

Так что я прочитал, что вы можете использовать SOCKSPROXYManager с SOCKS5, если у вас установка pysocks или вы делаете PIP Установите URLLIB3 [SOCKS]

alas, я попробовал как Щисты, так и Urllib3 с носками без какого-либо успеха.

Любое представление о другом обходном пути?

Редактировать:

Я также попробовал PIP Установить запросы [SOCKS] (это запросы 2.10.0 с поддержкой носков), и я получаю это:

 <код>   File "/home/username/.virtualenvs/venv/local/lib/python2.7/site-packages/requests/adapters.py", line 467, in send     raise ConnectionError(e, request=request) requests.exceptions.ConnectionError: SOCKSHTTPSConnectionPool(host='api-server.com', port=443): Max retries exceeded with url: /auth (Caused by NewConnectionError('<requests.packages.urllib3.contrib.socks.SOCKSHTTPSConnection object at 0x95c7ccc>: Failed to establish a new connection: SOCKS5 proxy server sent invalid data',))   
Английский оригинал

I'm trying to interact with an API from my Python 2.7 shell using a package that relies on Python's requests. Thing is the remote address is blocked by my network (university library).

So to speak to the API I do the following:

~$ ssh -D 8080 name@myserver.com 

And then, in new terminal, in local computer:

~$ export http_proxy=socks5://127.0.0.1:8080 https_proxy=socks5://127.0.0.1:8080 

Then I run the program in Python console but fails:

~$ python >>> import myscript >>> id = '1213' >>> token = 'jd87jd9' >>> connect(id,token)  File "/home/username/.virtualenvs/venv/local/lib/python2.7/site-packages/requests/sessions.py", line 518, in post     return self.request('POST', url, data=data, json=json, **kwargs)   File "/home/username/.virtualenvs/venv/local/lib/python2.7/site-packages/requests/sessions.py", line 475, in request     resp = self.send(prep, **send_kwargs)   File "/home/username/.virtualenvs/venv/local/lib/python2.7/site-packages/requests/sessions.py", line 585, in send     r = adapter.send(request, **kwargs)   File "/home/username/.virtualenvs/venv/local/lib/python2.7/site-packages/requests/adapters.py", line 370, in send     conn = self.get_connection(request.url, proxies)   File "/home/username/.virtualenvs/venv/local/lib/python2.7/site-packages/requests/adapters.py", line 273, in get_connection     proxy_manager = self.proxy_manager_for(proxy)   File "/home/username/.virtualenvs/venv/local/lib/python2.7/site-packages/requests/adapters.py", line 169, in proxy_manager_for     **proxy_kwargs   File "/home/username/.virtualenvs/venv/local/lib/python2.7/site-packages/requests/adapters.py", line 43, in SOCKSProxyManager     raise InvalidSchema("Missing dependencies for SOCKS support.") requests.exceptions.InvalidSchema: Missing dependencies for SOCKS support. 

This excerpt is from the adapters.py requests module:

> try: >     from .packages.urllib3.contrib.socks import SOCKSProxyManager except ImportError: >     def SOCKSProxyManager(*args, **kwargs): >         raise InvalidSchema("Missing dependencies for SOCKS support.") 

Now problem seems to be originated in urllib3's SOCKSProxyManager.

So I read you can use SOCKSProxyManager with SOCKS5 if you have install PySocks or you do a pip install urllib3[socks]

Alas, I tried both PySocks and urllib3 with Socks without any success.

Any idea of another workaround?

EDIT:

I also tried pip install requests[socks] (that's requests 2.10.0 with Socks support) and I am getting this:

  File "/home/username/.virtualenvs/venv/local/lib/python2.7/site-packages/requests/adapters.py", line 467, in send     raise ConnectionError(e, request=request) requests.exceptions.ConnectionError: SOCKSHTTPSConnectionPool(host='api-server.com', port=443): Max retries exceeded with url: /auth (Caused by NewConnectionError('<requests.packages.urllib3.contrib.socks.SOCKSHTTPSConnection object at 0x95c7ccc>: Failed to establish a new connection: SOCKS5 proxy server sent invalid data',)) 
</div
              

Список ответов

86
 
vote
vote
Лучший ответ
 
<Р> Я была такая же проблема с Кондой и запросами 2,11 (я работаю в Ubuntu VM за корпоративный прокси).

Этот вопрос помог мне. Я изменил мою переменную окружения <код> all_proxy (который первоначально был установлен в носке прокси <код> socks://.... ) версии протокола HTTPS в моем файле .bashrc:

<Код> export all_proxy="https://<proxy>:<port>/"

<Р> и теперь он работает.
 

I had the same issue with conda and requests 2.11 (I work in a Ubuntu VM behind a corporate proxy).

This issue helped me. I changed my environment variable all_proxy (which was originally set to a SOCK proxy socks://....) to the https version in my .bashrc file :

export all_proxy="https://<proxy>:<port>/"

and now it works.

</div
 
 
         
         
101
 
vote
<Р> Это означает, что запросы в использовании носков в качестве прокси-сервера и что носки не установлены. <Р> Просто запустите <Код> pip install pysocks
 

This means that requests is using socks as a proxy and that socks is not installed.

Just run pip install pysocks

</div
 
 
     
     
13
 
vote
<Р> Я добавил <код> requests[socks]>=2.10.0 на мой requirements.txt, обновил свой <код> https_proxy переменной ENV, и наткнулся выше ошибки. Затем я попробовал регулярный <код> pip install requests[socks] после сброса <код> https_proxy переменная окр и <код> PySocks был установлен. Я не уверен, почему <код> pip install -Ur requirements.txt Не удалось установить PySocks в первый раз. <Р> После этого, я был в состоянии сделать запрос в питона с помощью сокс. <Р> Похоже, ваш сервер носки не ведет. Я хотел бы видеть, если вы или ваш администратор мог смотреть журналы и посмотреть, что машина жалуется.
 

I added the requests[socks]>=2.10.0 to my requirements.txt, updated my https_proxy env variable, and came across the above error. I then tried a regular pip install requests[socks] after resetting the https_proxy env variable and PySocks was installed. I'm not sure why the pip install -Ur requirements.txt failed to install PySocks the first time.

After that, I was able to make a request in python using the socks proxy.

It looks like your socks server is not behaving. I would see if you, or your admin, could watch the logs and see what the machine is complaining about.

</div
 
 
   
   
13
 
vote

В Ubuntu вы можете запустить:
<Код> socks://....0

 

In Ubuntu you can run :
unset all_proxy && unset ALL_PROXY

</div
 
 
7
 
vote
<Р> я наткнулся на этот вопрос, а делает простой <код> socks://....1 , но информация, которую я нашел из вашего вопроса, помогли мне решить мою проблему. Я на Mac OS X. <Р> Как вы указали, adapters.py от <код> socks://....2 пакет пытается сделать это:
 <код> socks://....3  
<Р> Таким образом, представляется разумным искать место определения SOCKSProxyManager . Казалось бы, в модуле «вно» в urllib3 и не установлен рядом с urllib3 по умолчанию. Строка документации этого модуля говорит:
 <код> socks://....4  
<Р> инструкциями пип документы говорит это о Setuptools статистов: < / р>
 <код> socks://....5  
<Р> Итак, я следовал инструкциям и сделал:
 <код> socks://....6  
<Р> Затем я продолжил <код> socks://....7 , который был то, что я должен был делать, и теперь он работает. <Р> Интересно, сколько людей получили обманным вверх квадратными скобками, так как Bash и другие снаряды часто рассматривать его как специальный символ, который должен быть экранированы для того, чтобы достичь Вызванный программы (в данном случае, ПУМ).
 

I also stumbled upon this issue while doing a simple pip install -U pip, but information I found from your question helped me resolved my issue. I am on Mac OS X.

As you have pointed out, adapters.py from the requests package was trying to do this:

try:     from .packages.urllib3.contrib.socks import SOCKSProxyManager except ImportError:     def SOCKSProxyManager(*args, **kwargs):         raise InvalidSchema("Missing dependencies for SOCKS support.") 

So it seems sensible to look for the place of definition of SOCKSProxyManager. It seems to be in a "contrib" module in urllib3 and not installed alongside urllib3 by default. The docstring of that module says:

This module contains provisional support for SOCKS proxies from within urllib3. This module supports SOCKS4 (specifically the SOCKS4A variant) and SOCKS5. To enable its functionality, either install PySocks or install this module with the ``socks`` extra. 

The instructions of the pip docs says this about setuptools extras:

6. Install a package with setuptools extras.  $ pip install SomePackage[PDF] $ pip install git+https://git.repo/some_pkg.git#egg=SomePackage[PDF] $ pip install SomePackage[PDF]==3.0 $ pip install -e .[PDF]==3.0  # editable project in current directory 

So I followed the instructions and did:

$ pip install 'urllib3[socks]' 

I then continued with pip install -U pip, which was what I was supposed to be doing, and now it works.

I wonder how many people got tricked-up by the square brackets, as Bash and other shells often treat it as a special character, which needs to be escaped for it to reach the invoked program (in this case, pip).

</div
 
 
 
 
5
 
vote
<Р> В DEBiAN 10, Python 3:
 <код> socks://....8  
 

In debian 10, Python 3:

pip3 install pysocks 
</div
 
 
4
 
vote
<Р> Я получил ту же ошибку всего несколько минут ago.Then повторно установлен <сильный> запрос [носки] через пип. Кажется, что есть недостающая часть носков, который <сильный> обоюдного inet_pton . Пип установил его и проблема решена.
 

I got the same error just a few mins ago.Then re-installed request[socks] via pip. It seems that there was a missing part of socks which is win-inet_pton. Pip installed it and the problem is solved.

</div
 
 
 
 
2
 
vote

Я столкнулся с той же проблемой, где получил ошибку <код> Missing dependencies for SOCKS support. с анакондом Python 3.7

как <код> conda command работал нормально, я установил <код> pysocks с командой <код> conda install pysocks

Это решило проблему.

 

I faced the same issue where got the error Missing dependencies for SOCKS support. with Anaconda Python 3.7

As conda command was working fine, I installed pysocks with the command conda install pysocks

This resolved the issue.

</div
 
 
1
 
vote

просто unset ваш <код> all_proxy переменной окружающей среды, и это должно работать. Также вы можете обратиться к этому Выпуск в Github.

на Ubuntu вы можете использовать следующую команду <код> unset all_proxy и перезагрузить терминал

 

Just unset your all_proxy environment variable, and this should work. Also you can refer to this issue in github.

On Ubuntu you can use the following command unset all_proxy and restart terminal

</div
 
 
 
 
1
 
vote

Моя среда - Ubuntu 16,4 LTS и Python3.5.2 Я использую PIP3 для установки Libs получил ту же проблему. Поэтому я использую команду <код> unset ALL_PROXY , чтобы решить эту проблему, и она работает.

PS: Используйте <код> printenv | grep -i proxy , чтобы показать информацию о прокси.

 

My environment is Ubuntu 16.4 LTS and Python3.5.2 I use pip3 to install libs got the same issue. so I use the command unset ALL_PROXY to solve this problem and it works.

PS: use printenv | grep -i proxy to show the proxy info.

</div
 
 
 
 
1
 
vote

в Ubuntu, я делаю следующие команды:

 <код> # Unset socks proxy unset all_proxy     unset ALL_PROXY # Install missing dependencies: pip install pysocks # Reset proxy source ~/.bashrc   
 

In ubuntu, I do the following commands:

# Unset socks proxy unset all_proxy     unset ALL_PROXY # Install missing dependencies: pip install pysocks # Reset proxy source ~/.bashrc 
</div
 
 
1
 
vote

Я использовал все вышеперечисленные методы, но только это работало для меня:

 <код> set | grep -i all_proxy   

Возвращено:

 <код> conda0  

А потом я сделал это:

 <код> conda1  

Наконец, он не появился снова ошибками.

 

I used all the above methods, but only this worked for me:

set | grep -i all_proxy 

it returned:

ALL_PROXY=socks://127.0.0.1:1080/ all_proxy=socks://127.0.0.1:1080/ 

and then, I did this:

export all_proxy="" 

Finally, it didn't appear mistakes again.

</div
 
 
1
 
vote

Вы должны добавить поддержку носков с Python conda2 Библиотека:

 <код> conda3  
 

You must add socks support with python requests library:

pip install requests[socks] 
</div
 
 
1
 
vote

Получил ту же ошибку после сообщения о том, что <код> conda4 не будет вытащить <код> conda5 требования.

Я мог (эзотерически) исправить его, удалив <код> conda6 требования, у меня также было в том же <код> conda7 .

Бег Python3.7 на Debian, и пользователь, который сообщил, что ошибка работает Python3.6 на Ubuntu.

перед патч

 <Код> conda8  

После патча

Теперь нанесение следующего патча:

 <код> conda9  
 <Код> pysocks0  

pysocks был эффективно вытащен.

 

Got the same error after a reported issue that pysocks would not be pulled by the requests[socks]>=0.23.0 requirement.

I could (esoterically) fix it by removing the requests>=0.23.0 requirement i also had in the same requirements.txt.

Running Python3.7 on Debian, and the user who reported the bug is running python3.6 on Ubuntu.

Before the patch

$ cat requirements.txt  requests>=2.23.0 requests[socks]>=2.23.0 $ python3 -m venv venv $ . venv/bin/activate (venv) $ pip --no-cache-dir install -r requirements.txt Collecting requests>=2.23.0 (from -r requirements.txt (line 1))   Downloading https://files.pythonhosted.org/packages/45/1e/0c169c6a5381e241ba7404532c16a21d86ab872c9bed8bdcd4c423954103/requests-2.24.0-py2.py3-none-any.whl (61kB)     100% |████████████████████████████████| 71kB 202kB/s  Collecting urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 (from requests>=2.23.0->-r requirements.txt (line 1))   Downloading https://files.pythonhosted.org/packages/9f/f0/a391d1463ebb1b233795cabfc0ef38d3db4442339de68f847026199e69d7/urllib3-1.25.10-py2.py3-none-any.whl (127kB)     100% |████████████████████████████████| 133kB 617kB/s  Collecting idna<3,>=2.5 (from requests>=2.23.0->-r requirements.txt (line 1))   Downloading https://files.pythonhosted.org/packages/a2/38/928ddce2273eaa564f6f50de919327bf3a00f091b5baba8dfa9460f3a8a8/idna-2.10-py2.py3-none-any.whl (58kB)     100% |████████████████████████████████| 61kB 2.8MB/s  Collecting chardet<4,>=3.0.2 (from requests>=2.23.0->-r requirements.txt (line 1))   Downloading https://files.pythonhosted.org/packages/bc/a9/01ffebfb562e4274b6487b4bb1ddec7ca55ec7510b22e4c51f14098443b8/chardet-3.0.4-py2.py3-none-any.whl (133kB)     100% |████████████████████████████████| 143kB 10.4MB/s  Collecting certifi>=2017.4.17 (from requests>=2.23.0->-r requirements.txt (line 1))   Downloading https://files.pythonhosted.org/packages/5e/c4/6c4fe722df5343c33226f0b4e0bb042e4dc13483228b4718baf286f86d87/certifi-2020.6.20-py2.py3-none-any.whl (156kB)     100% |████████████████████████████████| 163kB 4.7MB/s  Installing collected packages: urllib3, idna, chardet, certifi, requests Successfully installed certifi-2020.6.20 chardet-3.0.4 idna-2.10 requests-2.24.0 urllib3-1.25.10 

After the patch

Now applying the following patch:

diff --git a/sauron/requirements.txt b/sauron/requirements.txt index a0c901b..f38d18f 100644 --- a/sauron/requirements.txt +++ b/sauron/requirements.txt @@ -1,2 +1 @@ -requests>=2.23.0  requests[socks]>=2.23.0 
$ cat requirements.txt  requests[socks]>=2.23.0 $ cat requirements.txt  requests[socks]>=2.23.0 (venv) $ pip --no-cache-dir install -r requirements.txt  Collecting requests[socks]>=2.23.0 (from -r requirements.txt (line 1))   Downloading https://files.pythonhosted.org/packages/45/1e/0c169c6a5381e241ba7404532c16a21d86ab872c9bed8bdcd4c423954103/requests-2.24.0-py2.py3-none-any.whl (61kB)     100% |████████████████████████████████| 71kB 234kB/s  Collecting urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 (from requests[socks]>=2.23.0->-r requirements.txt (line 1))   Downloading https://files.pythonhosted.org/packages/9f/f0/a391d1463ebb1b233795cabfc0ef38d3db4442339de68f847026199e69d7/urllib3-1.25.10-py2.py3-none-any.whl (127kB)     100% |████████████████████████████████| 133kB 678kB/s  Collecting chardet<4,>=3.0.2 (from requests[socks]>=2.23.0->-r requirements.txt (line 1))   Downloading https://files.pythonhosted.org/packages/bc/a9/01ffebfb562e4274b6487b4bb1ddec7ca55ec7510b22e4c51f14098443b8/chardet-3.0.4-py2.py3-none-any.whl (133kB)     100% |████████████████████████████████| 143kB 2.3MB/s  Collecting idna<3,>=2.5 (from requests[socks]>=2.23.0->-r requirements.txt (line 1))   Downloading https://files.pythonhosted.org/packages/a2/38/928ddce2273eaa564f6f50de919327bf3a00f091b5baba8dfa9460f3a8a8/idna-2.10-py2.py3-none-any.whl (58kB)     100% |████████████████████████████████| 61kB 6.2MB/s  Collecting certifi>=2017.4.17 (from requests[socks]>=2.23.0->-r requirements.txt (line 1))   Downloading https://files.pythonhosted.org/packages/5e/c4/6c4fe722df5343c33226f0b4e0bb042e4dc13483228b4718baf286f86d87/certifi-2020.6.20-py2.py3-none-any.whl (156kB)     100% |████████████████████████████████| 163kB 4.8MB/s  Collecting PySocks!=1.5.7,>=1.5.6; extra == "socks" (from requests[socks]>=2.23.0->-r requirements.txt (line 1))   Downloading https://files.pythonhosted.org/packages/8d/59/b4572118e098ac8e46e399a1dd0f2d85403ce8bbaad9ec79373ed6badaf9/PySocks-1.7.1-py3-none-any.whl Installing collected packages: urllib3, chardet, idna, certifi, PySocks, requests Successfully installed PySocks-1.7.1 certifi-2020.6.20 chardet-3.0.4 idna-2.10 requests-2.24.0 urllib3-1.25.10 

Pysocks was effectively pulled.

</div
 
 

Связанный проблема

5  Как я могу получить Mercurial для того, чтобы снова выдвигать коммиты?  ( How can i get mercurial to push commits again ) 
Я не знаю, что я ничего изменил и работаю Ubuntu 10.10. Mercurial работает нормально, а затем внезапно, когда я начал толкать сегодня утром, я начал получать ...

1  Где многопроцессор  ( Where is multiprocessing process ) 
Я портирую рабочее приложение из Python 3.3-34 и столкнулся с странной ситуацией. Класс Multipressing.Process отсутствует в загрузке с Python.org. Вместо этог...

1  Нахождение корней с Scipy.Optimize.root  ( Finding roots with scipy optimize root ) 
Я пытаюсь найти root y функции, называемой f с помощью python. Вот мой код: <код> def f(y): w,p1,p2,p3,p4,p5,p6,p7 = y[:8] t1 = w - 0.500371726*...

0  Запрос доступа от класса Inherit (View)  ( Access request from inherit class view ) 
Как я могу предъявить запрос на var, если я не реализую методы Get / Post из класса Inherit (View)? <код> class Base(View): def __init__(self): ...

0  После добавления клеток найдите мин и максимум пяти различных категорий в файле CSV  ( After appending cells find min and max of five different categories in a csv fi ) 
Привет всем У меня есть вопрос. Я просто сейчас изучаю мин и макс. У меня проблемы в нахождении мин и максимум пяти столбцов для каждой категории Вот, что...

3  Использование None As Parameter к аргументу ключевого слова [дубликат]  ( Using none as parameter to keyword argument ) 
<в сторону CLASS = "S-NEWACTS S-WELTIVE__info JS-Post-New Imide MB16« Роль = «Статус»> Этот вопрос уже имеет ответ здесь : ...

0  Jupyter Lab / Ubuntu / «Нет модуля по имени BCLZ»  ( Jupyter lab ubuntu no module named bcolz ) 
Bcolz был успешно установлен и может работать в Python3 (попробовал в терминале). Однако, когда я попробовал это в Jupyter Lab (или ноутбук), приходит ошибка:...

0  Пытаясь создать dataframe из другого dataframe с определенными ограничениями  ( Trying to create a dataframe from another dataframe with certain restrictions ) 
Я пытаюсь написать модель VAR в Python (где не разрешается использовать предварительно сделанные функции, такие как var в Statsmodel). Для этого мне нужна м...

0  Почему это, если вернуться в Python  ( Why this if return true in python ) 
<Код> >>> if '' is not None: ... print'23333' ... 23333 Я думаю (не нет) верно и ('') неверно, так почему он работает печать? ...

0  Объедините несколько столов для ответа JSON в Django Read Framework  ( Combine multiple tables for a json response in django rest framework ) 
Я использую Django Read Framework для моего serializers . Мне нужно создать веб-сервис, который сочетает в себе поля в трех таблицах и дает JSON. У меня ес...

-4  Как суммировать значения при заворачивании аналогичного ключа, чтобы построить Dict  ( How to sum values when zipping similar key to build a dict ) 
У меня есть <код> A = [a, b, c, d, a, d, c] и <код> B=[1, 2, 3, 4, 5, 6, 7] Почему <код> dict(zip(A,B)) не возвращается <код> {'a': 6, 'b': 2, 'c': 10, '...

0  NameError: Имя «Домашние животные» не определены. Питон  ( Nameerror name pets is not defined python ) 
Это код, который я использую, но каждый раз, когда я пытаюсь запустить его, я получаю эту ошибку в терминале: <код> Traceback (most recent call last): Fil...

2  подмодул .POPEN отказывается запускать команду, хотя OS.System работает нормально  ( Submodules popen refuses to run a command even though os system works fine ) 
Всякий раз, когда я запускаю этот скрипт: <код> gcalctool0 Я постоянно получаю эту ошибку: <код> gcalctool1 Тем не менее, <код> gcalctool2 определе...

0  Python / django - Начало Apache с mod_wsgi  ( Python django starting apache with mod wsgi ) 
пытается запустить mod_wsgi. Получение опорной ошибки связанной с FMOD. <код> [root@host]# mod_wsgi-express start-server wsgi.py --port=80 > --user www...

0  Как бы я избавился от определенных персонажей, а затем выпустите очищенную струну в Python?  ( How would i get rid of certain characters then output a cleaned up string in pyt ) 
В этом фрассетере кода я пытаюсь получить ссылки на изображения, размещенные в группеЧанчатке определенным пользователем: <код> import groupy from groupy im...

Связанный проблема

5  Как я могу получить Mercurial для того, чтобы снова выдвигать коммиты? 
1  Где многопроцессор 
1  Нахождение корней с Scipy.Optimize.root 
0  Запрос доступа от класса Inherit (View) 
0  После добавления клеток найдите мин и максимум пяти различных категорий в файле CSV 
3  Использование None As Parameter к аргументу ключевого слова [дубликат] 
0  Jupyter Lab / Ubuntu / «Нет модуля по имени BCLZ» 
0  Пытаясь создать dataframe из другого dataframe с определенными ограничениями 
0  Почему это, если вернуться в Python 
0  Объедините несколько столов для ответа JSON в Django Read Framework 
-4  Как суммировать значения при заворачивании аналогичного ключа, чтобы построить Dict 
0  NameError: Имя «Домашние животные» не определены. Питон 
2  подмодул .POPEN отказывается запускать команду, хотя OS.System работает нормально 
0  Python / django - Начало Apache с mod_wsgi 
0  Как бы я избавился от определенных персонажей, а затем выпустите очищенную струну в Python? 



© 2021 www.qaru.top All Rights Reserved. Q&A House все права защищены


Licensed under cc by-sa 3.0 with attribution required.